To: rnhodek@immd2.informatik.uni-erlangen.de (Roman Hodek)
Cc: linux-m68k@lists.linux-m68k.org
Subject: Re: L68K: Non-native partition format support
References: <m0xJPZZ-00039TC@emilio.informatik.uni-erlangen.de>
From: Martin Mitchell <gevans@mail.usyd.edu.au>
Date: 11 Oct 1997 04:04:43 +1000
In-Reply-To: rnhodek@immd2.informatik.uni-erlangen.de's message of "Thu, 9 Oct 1997 22:51:38 +0200 (CEST)"
Sender: Martin Mitchell <mem@mail.usyd.edu.au>

rnhodek@immd2.informatik.uni-erlangen.de (Roman Hodek) writes:

> Ok, here it is: the promised general support for foreign partition
> formats.

Well, it worked fine for me, after I discovered that this small patch was
required. Thanks for your work, everything looks more consistent now in
the partition display as well.

	Martin.

--- linux-2.1.57/drivers/block/partbl_atari.c.orig	Sat Oct 11 01:36:42 1997
+++ linux-2.1.57/drivers/block/partbl_atari.c	Sat Oct 11 01:37:23 1997
@@ -128,7 +128,7 @@
 		    break;
 		  }
 
-		  partsect = xrs->part[i+1].st + extensect;
+		  partsect = be32_to_cpu(xrs->part[i+1].st) + extensect;
 		  brelse (xbh);
 		  minor++;
 		  if (minor >= m_lim) {
